/*

07-Feb-00  I-03-26  JCN  $$1   Renamed and upgraded.
30-Jan-03  J-03-41  JCN  $$2   Install test adds menu button.

*/
import com.ptc.cipjava.*;
import com.ptc.pfc.pfcSession.*;
import com.ptc.pfc.pfcGlobal.*;
import com.ptc.pfc.pfcCommand.*;

/**
 * This class is used to start the jlink application in proe.
 * The name of the class has to appear in the protk.dat
 * under the java_app_class option.
 **/
public class StartInstallTest{
 
  //=========================================================================
  /**
   * This method is called by proe upon starting a jlink application
   * This method gets the current session from the pfcGlobal(environment)
   * Then it calls the install test with the session as the argument.
   **/
  public static void start (){
    printMsg ("Started");

    try{	 
	  Session curSession = pfcGlobal.GetProESession( );

	  UICommand cmd = curSession.UICreateCommand ("JL.InstallTest", new MenuButtonListener());

	  curSession.UIAddButton (cmd, "File", null, "-J-Link Install Test", 
						"Execute the J-Link install test", "msg_jlinstall.txt");
      }

    catch (jxthrowable x){
      printMsg ("something wrong: " + x);
      x.printStackTrace ();
      System.out.println ("------------------------------------");
    }
  }

  //=========================================================================
  /**
   * This method is used for cleanup and etc...
   * Called when the jlink application exits
   */
  public static void stop (){
    printMsg ("Stop");
  }

  //=========================================================================
  /**
   * This method prints a string to the standard output.
   */
  public static void printMsg (String msg){
    System.out.println ("Start install test: " + msg);
  }
}

class MenuButtonListener extends DefaultUICommandActionListener 
	{
		public void OnCommand ()
		{
			try
			{
			      Session curSession = pfcGlobal.GetProESession( );
				new pfcInstallTest (curSession);
			}
			catch (jxthrowable x)
			{
      			StartInstallTest.printMsg ("something wrong: " + x);
      			x.printStackTrace ();
      			System.out.println ("------------------------------------");
			}
		}
	}
